'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = setup;

var _passport = require('passport');

var _passport2 = _interopRequireDefault(_passport);

var _passportLocal = require('passport-local');

var _passportLocal2 = _interopRequireDefault(_passportLocal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LocalStrategy = _passportLocal2.default.Strategy;

/**
 * @function setup
 * @description Register local authentication strategy
 * @param {Object} UserService
 */
function setup(UserService) {
    _passport2.default.use(new LocalStrategy({
        usernameField: 'email',
        passwordField: 'password'
    }, function (email, password, done) {
        return UserService.findOneBy({ email: email }).then(function (user) {
            if (user && UserService.isPasswordCorrect(user, password)) {
                done(null, user.toObject({ transform: true }));
            } else {
                done();
            }
        }).catch(done);
    }));
}
module.exports = exports['default'];
//# sourceMappingURL=passport.js.map
