'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dashboardView = require('./dashboard-view.model');

var _dashboardView2 = _interopRequireDefault(_dashboardView);

var _sensor = require('../sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dashboardViewService = {
    create: create,
    update: update
};

exports.default = dashboardViewService;


function getById(id) {
    return _dashboardView2.default.findById(id).populate({
        path: 'devices',
        model: _sensor2.default
    }).exec();
}

function create(createDto) {
    return new _dashboardView2.default(createDto).save().then(onActionCompleted);
}

function update(model) {
    var id = model._id;
    delete model._id;

    return _dashboardView2.default.update({ '_id': id }, { $set: model }).then(function () {
        return getById(id);
    });
}

function onActionCompleted(_ref) {
    var id = _ref.id;

    return getById(id);
}
module.exports = exports['default'];
//# sourceMappingURL=dashboard-view.service.js.map
