'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _del = require('del');

var _del2 = _interopRequireDefault(_del);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _env = require('../../config/env');

var _env2 = _interopRequireDefault(_env);

var _tryAsync = require('../helpers/try-async');

var _tryAsync2 = _interopRequireDefault(_tryAsync);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var filesService = {
    deleteAllFiles: deleteAllFiles,
    tryDeleteFile: tryDeleteFile,
    resolveFilePath: resolveFilePath
};

exports.default = filesService;


function deleteAllFiles() {
    return (0, _del2.default)(filesService.resolveFilePath('**'));
}

function tryDeleteFile(name) {
    return (0, _tryAsync2.default)(_bluebird2.default.try(function () {
        return deleteFile(name);
    }));
}

function deleteFile(name) {
    if (!String(name).trim()) {
        throw new Error('name is empty');
    }
    return (0, _del2.default)(filesService.resolveFilePath(name));
}

function resolveFilePath(fileName) {
    return _path2.default.join(_env2.default.filesPath, fileName);
}
module.exports = exports['default'];
//# sourceMappingURL=files.service.js.map
