'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _sensor = require('./sensors/sensor.routes');

var _sensor2 = _interopRequireDefault(_sensor);

var _scenario = require('./scenarios/scenario.routes');

var _scenario2 = _interopRequireDefault(_scenario);

var _scenarioConverterRoutes = require('./scenario-converter/scenario-converter.routes.js');

var _scenarioConverterRoutes2 = _interopRequireDefault(_scenarioConverterRoutes);

var _timeseries = require('./timeseries/timeseries.routes');

var _timeseries2 = _interopRequireDefault(_timeseries);

var _switcherStatistics = require('./switcher-statistics/switcher-statistics.router');

var _switcherStatistics2 = _interopRequireDefault(_switcherStatistics);

var _user = require('./user/user.routes');

var _user2 = _interopRequireDefault(_user);

var _auth = require('./auth/auth.routes');

var _auth2 = _interopRequireDefault(_auth);

var _files = require('./files/files.routes');

var _files2 = _interopRequireDefault(_files);

var _view = require('./view/view.routes');

var _view2 = _interopRequireDefault(_view);

var _mapView = require('./map-view/map-view.routes');

var _mapView2 = _interopRequireDefault(_mapView);

var _responseBind = require('./middleware/response-bind.middleware');

var _responseBind2 = _interopRequireDefault(_responseBind);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = _express2.default.Router(); // eslint-disable-line new-cap

router.use(_responseBind2.default);

/** GET /health-check - Check service health */
router.get('/health-check', function (req, res) {
    res.send('OK');
});

router.use('/sensors', _sensor2.default);
router.use('/scenarios', _scenario2.default);
router.use('/scenario-converter', _scenarioConverterRoutes2.default);
router.use('/timeseries', _timeseries2.default);
router.use('/switcher-statistics', _switcherStatistics2.default);
router.use('/user', _user2.default);
router.use('/auth', _auth2.default);
router.use('/files', _files2.default);
router.use('/views', _view2.default);
router.use('/map-view', _mapView2.default);

exports.default = router;
module.exports = exports['default'];
//# sourceMappingURL=index.js.map
