'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _sensor = require('../sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PositionSchema = {
    x: {
        type: Number,
        required: true
    },
    y: {
        type: Number,
        required: true
    }
};

var SensorPositionSchema = {
    sensor: {
        type: _mongoose2.default.Schema.Types.ObjectId,
        ref: _sensor2.default,
        required: true
    },
    position: {
        type: PositionSchema,
        required: true
    }
};

exports.default = _mongoose2.default.model('MapView', new _mongoose2.default.Schema({
    pictureName: {
        type: String,
        default: '',
        required: false
    },
    active: {
        type: Boolean,
        default: false,
        required: true
    },
    sensors: [SensorPositionSchema]
}));
module.exports = exports['default'];
//# sourceMappingURL=map-view.model.js.map
