'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _scenarioConverter = require('../../scenarios/scenario.converter.js');

var _scenarioConverter2 = _interopRequireDefault(_scenarioConverter);

var _APIError = require('../helpers/APIError');

var _APIError2 = _interopRequireDefault(_APIError);

var _httpStatus = require('http-status');

var _httpStatus2 = _interopRequireDefault(_httpStatus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getConvertedScenario(req, res, next) {
    _scenarioConverter2.default.convertScenario({
        actions: req.query.actions,
        conditions: req.query.conditions,
        logicalOperator: req.query.logicalOperator
    }).then(function (scenarioJS) {
        return res.json(scenarioJS);
    }).catch(function (errorMessage) {
        var err = new _APIError2.default(errorMessage, _httpStatus2.default.BAD_REQUEST);

        return next(err);
    });
}

exports.default = { getConvertedScenario: getConvertedScenario };
module.exports = exports['default'];
//# sourceMappingURL=scenario-converter.controller.js.map
