'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _httpStatus = require('http-status');

var _httpStatus2 = _interopRequireDefault(_httpStatus);

var _scenario = require('../../scenarios/scenario.model');

var _scenario2 = _interopRequireDefault(_scenario);

var _APIError = require('../helpers/APIError');

var _APIError2 = _interopRequireDefault(_APIError);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function get(req, res) {
    return res.json(req.scenario);
}

function query(req, res, next) {
    _scenario2.default.findAsync({}).then(function (scenarios) {
        return res.json(scenarios);
    }).error(next);
}

function load(req, res, next, id) {
    _scenario2.default.get(id).then(function (scenario) {
        req.scenario = scenario;
        return next();
    }).error(function () {
        var err = new _APIError2.default('No such scenario exists!', _httpStatus2.default.NOT_FOUND);
        return next(err);
    });
}

function create(req, res, next) {
    var instance = new _scenario2.default(req.body);

    instance.saveAsync().then(function (scenario) {
        return res.json(scenario);
    }).error(next);
}

function update(req, res, next) {
    delete req.body.id;
    Object.assign(req.scenario, req.body);
    req.scenario.saveAsync().then(function () {
        return res.json(req.scenario);
    }).error(next);
}

function remove(req, res, next) {
    req.scenario.removeAsync().then(function (sensor) {
        res.json(sensor);
        return next();
    }).error(next);
}

exports.default = { get: get, query: query, load: load, create: create, update: update, remove: remove };
module.exports = exports['default'];
//# sourceMappingURL=scenario.controller.js.map
