'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _sensor = require('./sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Load sensor and append to req.
 */
function load(req, res, next, id) {
    _sensor2.default.get(id).then(function (sensor) {
        req.sensor = sensor;
        return next();
    }).error(function (e) {
        return next(e);
    });
}

function get(req, res) {
    return res.json(req.sensor);
}

function create(req, res, next) {
    var instance = new _sensor2.default(req.body);

    instance.saveAsync().then(function (sensor) {
        return res.json(sensor);
    }).error(next);
}

function update(req, res, next) {
    if (req.body && req.body._id) {
        delete req.body._id;
    }
    _sensor2.default.findByIdAndUpdateAsync(req.params.id, req.body, {
        new: true
    }).then(function (sensor) {
        return res.json(sensor);
    }).error(next);
}

function remove(req, res, next) {
    req.sensor.removeAsync().then(function (sensor) {
        return res.json(sensor);
    }).error(next);
}

function query(req, res, next) {
    _sensor2.default.findAsync({}).then(function (sensors) {
        return res.json(sensors);
    }).error(next);
}

exports.default = { load: load, get: get, create: create, update: update, query: query, remove: remove };
module.exports = exports['default'];
//# sourceMappingURL=sensor.controller.js.map
