'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dashboardView = require('../dashboard-view/dashboard-view.model');

var _dashboardView2 = _interopRequireDefault(_dashboardView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { createHooks: createHooks };


function createHooks(sensorSchema) {

    sensorSchema.pre('save', function (next) {
        this.wasNew = this.isNew;
        next();
    });

    sensorSchema.post('save', function (sensor, next) {
        if (this.wasNew) {
            _dashboardView2.default.findOneAndUpdate({}, { $push: { devices: sensor._id } }, next);
        }
    });

    sensorSchema.post('remove', function (sensor, next) {
        _dashboardView2.default.findOneAndUpdate({}, { $pull: { devices: sensor._id } }, next);
    });
}
module.exports = exports['default'];
//# sourceMappingURL=sensor.hooks.js.map
