'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _sensorController = require('./sensor.controller.js');

var _sensorController2 = _interopRequireDefault(_sensorController);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = _express2.default.Router(); // eslint-disable-line new-cap

router.route('/')
/** GET /api/sensors - Get list of sensors */
.get(_sensorController2.default.query)

/** POST /api/sensors - Create new sensor */
.post(_sensorController2.default.create);

router.route('/:id')
/** GET /api/sensors/:sensorId - Get sensor */
.get(_sensorController2.default.get)

/** PUT /api/sensors/:sensorId - Update sensor */
.put(_sensorController2.default.update)

/** DELETE /api/sensors/:sensorId - Delete sensor */
.delete(_sensorController2.default.remove);

/** Load sensor when API with id route parameter is hit */
router.param('id', _sensorController2.default.load);

exports.default = router;
module.exports = exports['default'];
//# sourceMappingURL=sensor.routes.js.map
