'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _APIError = require('../helpers/APIError');

var _APIError2 = _interopRequireDefault(_APIError);

var _httpStatus = require('http-status');

var _httpStatus2 = _interopRequireDefault(_httpStatus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//TODO: should be moved to constant and reused in timeseries.
//Correct constant would have hour, day, month and year properties
var PERIOD_TO_INTERVAL = {
    'day': 60,
    'week': 60 * 24,
    'month': 60 * 24,
    'year': 60 * 24 * 30
};

function query(req, res, next) {
    if (!req.query.period || !PERIOD_TO_INTERVAL.hasOwnProperty(req.query.period)) {
        var err = new _APIError2.default('Period is not provided or wrong', _httpStatus2.default.BAD_REQUEST);
        return next(err);
    }

    if (!req.query.sensor) {
        var _err = new _APIError2.default('Sensor is not provided', _httpStatus2.default.BAD_REQUEST);
        return next(_err);
    }

    var data = [{
        name: 'Time ON',
        value: Math.floor(Math.random() * 100 + 1)
    }, {
        name: 'Time OFF',
        value: Math.floor(Math.random() * 100 + 1)
    }];

    res.json({ data: data });
}

exports.default = { query: query };
module.exports = exports['default'];
//# sourceMappingURL=switcher-statistics.controller.js.map
