'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _input = require('../../data-streams/input');

var _input2 = _interopRequireDefault(_input);

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _caiman = require('caiman');

var _mongodb = require('mongodb');

var _env = require('../../config/env');

var _env2 = _interopRequireDefault(_env);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_bluebird2.default.promisifyAll(_mongodb.MongoClient);

var debug = (0, _debug2.default)('SH_BE:new-device-handler');
var STATUS_EVENT = 'status';
var STRATEGY = 'averages';
var periods = ['month', 'day', 'hour', 'minute', 'second'];
var devicesStatistic = {};
var options = {
    driver: {
        type: 'mongodb',
        options: {}
    }
};

exports.default = {
    saveStatisticToDB: saveStatisticToDB,
    getDevicesStatistic: getDevicesStatistic
};


function saveStatisticToDB() {
    _mongodb.MongoClient.connect(_env2.default.db, function (err, db) {
        options.driver.options.db = db;

        _input2.default.stream.filter(function (message) {
            return message.event === STATUS_EVENT;
        }).subscribe(saveData, function (error) {
            return debug('Error: \'' + error + '\' occured');
        });

        function saveData(_ref) {
            var device = _ref.device,
                value = _ref.value;

            if (!devicesStatistic[device]) {
                devicesStatistic[device] = new _caiman.Caiman(device, options);
            }
            saveDataWithCaiman(device, value);
        }

        function saveDataWithCaiman(device, value) {
            var currentDate = new Date();
            devicesStatistic[device].save(currentDate, periods, value, STRATEGY);
        }
    });
}

function getDevicesStatistic() {
    return devicesStatistic;
}
module.exports = exports['default'];
//# sourceMappingURL=timeseries.service.js.map
