'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _user = require('../../shared/user/user.service');

var _user2 = _interopRequireDefault(_user);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getAllUsers(req, res, next) {
    _user2.default.getAllUsers().then(function (results) {
        res.json({
            status: 'success',
            responses: results
        });
    }).catch(next);
}

function add(req, res, next) {
    _user2.default.createUser(req.body).then(function (result) {
        res.json({
            status: 'success',
            responses: result.toObject({ transform: true })
        });
    }).catch(next);
}

function update(req, res, next) {
    _user2.default.updateUser(req.body, req.user._id).then(function (results) {
        res.json({
            status: 'success',
            responses: results
        });
    }).catch(next);
}

function getById(req, res, next) {
    _user2.default.getUserById(req.params.id).then(function (result) {
        return res.json({
            status: 'success',
            responses: result
        });
    }).catch(next);
}

function deleteUserById(req, res, next) {
    _user2.default.deleteUser(req.params.id).then(function (result) {
        return res.json({
            status: 'success',
            responses: result
        });
    }).catch(next);
}

function getCurrentUser(req, res) {
    res.json({
        status: 'success',
        responses: req.user
    });
}

exports.default = {
    getAllUsers: getAllUsers,
    add: add,
    update: update,
    getById: getById,
    deleteUserById: deleteUserById,
    getCurrentUser: getCurrentUser
};
module.exports = exports['default'];
//# sourceMappingURL=user.controller.js.map
