'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _auth = require('../../shared/auth/auth.service');

var _auth2 = _interopRequireDefault(_auth);

var _userController = require('./user.controller.js');

var _userController2 = _interopRequireDefault(_userController);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = _express2.default.Router(); // eslint-disable-line new-cap

router.route('').get(_auth2.default.hasRole('admin'), _userController2.default.getAllUsers).post(_auth2.default.hasRole('admin'), _userController2.default.add);

router.route('/current-user').get(_auth2.default.ensureAuthenticated(), _userController2.default.getCurrentUser);

router.route('/:id').get(_auth2.default.hasRole('user:read'), _userController2.default.getById).put(_auth2.default.hasRole('user:write'), _userController2.default.update).delete(_auth2.default.hasRole('admin'), _userController2.default.deleteUserById);

exports.default = router;
module.exports = exports['default'];
//# sourceMappingURL=user.routes.js.map
