'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _dashboardView = require('../dashboard-view/dashboard-view.model');

var _dashboardView2 = _interopRequireDefault(_dashboardView);

var _mapView = require('../map-view/map-view.model');

var _mapView2 = _interopRequireDefault(_mapView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ViewSchema = new _mongoose2.default.Schema({
    name: {
        type: String,
        required: true
    },
    description: {
        type: String,
        required: true
    },
    defaultSubview: {
        type: String,
        required: true
    },
    dashboardSubview: {
        type: _mongoose2.default.Schema.Types.ObjectId,
        ref: _dashboardView2.default,
        required: false
    },
    mapSubview: {
        type: _mongoose2.default.Schema.Types.ObjectId,
        ref: _mapView2.default,
        required: false
    }
});

exports.default = _mongoose2.default.model('View', ViewSchema);
module.exports = exports['default'];
//# sourceMappingURL=view.model.js.map
