'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mapView = require('../map-view/map-view.service');

var _mapView2 = _interopRequireDefault(_mapView);

var _dashboardView = require('../dashboard-view/dashboard-view.service');

var _dashboardView2 = _interopRequireDefault(_dashboardView);

var _view = require('../view/view.model');

var _view2 = _interopRequireDefault(_view);

var _mapView3 = require('../map-view/map-view.model');

var _mapView4 = _interopRequireDefault(_mapView3);

var _dashboardView3 = require('../dashboard-view/dashboard-view.model');

var _dashboardView4 = _interopRequireDefault(_dashboardView3);

var _sensor = require('../sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var viewService = {
    getById: getById,
    getAll: getAll,
    create: create,
    update: update
};

exports.default = viewService;


var viewModelConfig = [{
    path: 'mapSubview',
    model: _mapView4.default,
    populate: {
        path: 'sensors.sensor',
        model: _sensor2.default
    }
}, {
    path: 'dashboardSubview',
    model: _dashboardView4.default,
    populate: {
        path: 'devices',
        model: _sensor2.default
    }
}];

function getById(id) {
    return _view2.default.findById(id).populate(viewModelConfig).exec();
}

function getAll() {
    return _view2.default.find().populate(viewModelConfig).exec();
}

function create(createDto) {
    return Promise.all([_mapView2.default.create(createDto.mapSubview), _dashboardView2.default.create(createDto.dashboardSubview)]).then(function (values) {
        createDto.mapSubview = values[0].id;
        createDto.dashboardSubview = values[1].id;

        return new _view2.default(createDto).save();
    }).then(onActionCompleted);
}

function update(updateDto) {
    var viewId = updateDto._id;
    delete updateDto._id;

    return Promise.all([_mapView2.default.update(updateDto.mapSubview), _dashboardView2.default.update(updateDto.dashboardSubview)]).then(function (values) {
        updateDto.mapSubview = values[0].id;
        updateDto.dashboardSubview = values[1].id;

        return _view2.default.update({ '_id': viewId }, { $set: updateDto });
    }).then(function () {
        return getById(viewId);
    });
}

function onActionCompleted(_ref) {
    var id = _ref.id;

    return getById(id);
}
module.exports = exports['default'];
//# sourceMappingURL=view.service.js.map
