'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dotenv = require('dotenv');

var _dotenv2 = _interopRequireDefault(_dotenv);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_dotenv2.default.config({ silent: true });

var env = process.env.ENV_CONFIG || 'development';
var config = require('./' + env);

var fbGraphVersion = '2.8';
var defaults = {
    userRoles: ['guest', 'user:read', 'user:write', 'user', 'admin'],
    root: _path2.default.join(__dirname, '/../..'),
    filesPath: _path2.default.join(__dirname, '/../../../files'),
    host: 'localhost',
    token: {
        expires: 60 * 10,
        secret: 'session_secret',
        localStorageKey: 'sh-token'
    },
    facebook: {
        clientID: process.env.FACEBOOK_CLIENT_ID || 'invalid clientID for run app without error',
        clientSecret: process.env.FACEBOOK_CLIENT_SECRET || 'invalid clientSecret for run app without error',
        baseSite: 'https://www.facebook.com/v' + fbGraphVersion,
        authorizationURL: '/dialog/oauth'
    }
};

exports.default = Object.assign({}, defaults, config);
module.exports = exports['default'];
//# sourceMappingURL=index.js.map
