'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _scenario = require('../../scenarios/scenario.model');

var _scenario2 = _interopRequireDefault(_scenario);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = { populateScenarios: populateScenarios };

/* istanbul ignore next */

var scenarios = [];

scenarios.push((0, _scenario2.default)({
    _id: _mongoose2.default.Types.ObjectId('41224d776a326fb40f000002'),
    name: 'Greeting script',
    description: 'will greet you in a brand new world',
    active: true,
    wizard: {
        conditions: [{
            device: 'light',
            condition: 'GREATER_THAN',
            value: 5
        }, {
            device: 'temperature',
            condition: 'LESS_THAN',
            value: 19
        }],
        actions: [{
            device: 'air-conditioner',
            value: 'ON'
        }, {
            device: 'light',
            value: 'OFF'
        }],
        logicalOperator: 'OR'
    },
    isConvertable: true
}));

function populateScenarios() {
    _scenario2.default.find({}).remove(function () {
        _scenario2.default.create.apply(_scenario2.default, scenarios);
    });
}
module.exports = exports['default'];
//# sourceMappingURL=scenarios.js.map
