'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.stream = undefined;

var _input = require('./input');

var _Rx = require('rxjs/Rx');

var _Rx2 = _interopRequireDefault(_Rx);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var deviceStreams = new Map();
var mergedFilteredStream = new _Rx2.default.Subject();
var INPUT_STREAM_DELAY = 500;

exports.stream = mergedFilteredStream;


_input.stream.subscribe(function (event) {
    var usedStream = getDeviceStream(event.device);
    usedStream.next(event.value);
});

function createDeviceStream(device) {
    var deviceStream = new _Rx2.default.Subject();

    deviceStream.distinctUntilChanged().sampleTime(INPUT_STREAM_DELAY).subscribe(function (value) {
        mergedFilteredStream.next({
            device: device,
            value: value
        });
    });
    deviceStreams.set(device, deviceStream);
}

function getDeviceStream(device) {
    if (!deviceStreams.has(device)) {
        createDeviceStream(device);
    }
    return deviceStreams.get(device);
}
//# sourceMappingURL=filtered.input.js.map
