'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function () {

    _Rx2.default.Observable.merge(_input2.default.stream, _output2.default.stream).filter(function (message) {
        return message.event === DEVICE_STATUS_EVENT;
    }).subscribe(saveLastValue);

    function saveLastValue(_ref) {
        var device = _ref.device,
            value = _ref.value;

        _sensor2.default.find({ mqttId: device }, onDeviceFound);

        function onDeviceFound(error, records) {
            if (!records.length) {
                return;
            }

            records.map(function (record) {
                record = Object.assign(record, {
                    value: value,
                    valueUpdated: Date.now()
                });

                record.saveAsync();
            });
        }
    }
};

var _Rx = require('rxjs/Rx');

var _Rx2 = _interopRequireDefault(_Rx);

var _sensor = require('../API/sensors/sensor.model');

var _sensor2 = _interopRequireDefault(_sensor);

var _input = require('../data-streams/input');

var _input2 = _interopRequireDefault(_input);

var _output = require('../data-streams/output');

var _output2 = _interopRequireDefault(_output);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DEVICE_STATUS_EVENT = 'status';

module.exports = exports['default'];
//# sourceMappingURL=saveDeviceLastValue.js.map
