'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _http = require('http');

var _http2 = _interopRequireDefault(_http);

var _socket = require('socket.io');

var _socket2 = _interopRequireDefault(_socket);

var _socket3 = require('./API/socket');

var _socket4 = _interopRequireDefault(_socket3);

var _env = require('./config/env');

var _env2 = _interopRequireDefault(_env);

var _express = require('./config/express');

var _express2 = _interopRequireDefault(_express);

var _seed = require('./config/seed');

var seed = _interopRequireWildcard(_seed);

require('./mqtt-client/client.js');

require('./scenarios');

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _timeseries = require('./API/timeseries/timeseries.service');

var _timeseries2 = _interopRequireDefault(_timeseries);

var _saveDeviceLastValue = require('./devices/saveDeviceLastValue');

var _saveDeviceLastValue2 = _interopRequireDefault(_saveDeviceLastValue);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = (0, _debug2.default)('SH_BE:main');


// promisify mongoose
_bluebird2.default.promisifyAll(_mongoose2.default);
_mongoose2.default.Promise = _bluebird2.default;

// connect to mongo db
_mongoose2.default.connect(_env2.default.db, { server: { socketOptions: { keepAlive: 1 } } });
_mongoose2.default.connection.on('error', function () {
    throw new Error('unable to connect to database: ' + _env2.default.db);
});

// Prepopulate data
if (_env2.default.seedDB) {
    debug('populating seed data');
    seed.populateUsers();
    seed.populateScenarios();
    seed.populateSensors();
}

// Create websocket server
var server = _http2.default.createServer(_express2.default);
var io = (0, _socket2.default)(server);
(0, _socket4.default)(io);

// listen on port config.port
server.listen(_env2.default.port, _env2.default.host, function () {
    /* eslint-disable no-console */
    console.log('Server started on \x1B[36m port:' + _env2.default.port + ' (' + _env2.default.env + ') \x1B[0m');
    /* eslint-enable no-console */
});

_timeseries2.default.saveStatisticToDB();

(0, _saveDeviceLastValue2.default)();

exports.default = _express2.default;
module.exports = exports['default'];
//# sourceMappingURL=index.js.map
