'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = convertMqttMessageToEvent;

var _eventType = require('./event-type');

function convertMqttMessageToEvent(topic, rawMessage) {
    var message = rawMessage.toString();
    var eventType = _eventType.DEVICE_STATUS;
    var deviceName = getTopicDeviceName(topic);

    return buildEventModel(eventType, deviceName, message);
}

function getTopicDeviceName(topic) {
    return topic.split('/').pop();
}

function buildEventModel(eventName, deviceName, eventData) {
    return {
        event: eventName,
        device: deviceName,
        value: eventData
    };
}
module.exports = exports['default'];
//# sourceMappingURL=convert-mqtt-message-to-event.js.map
