'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _env = require('../../config/env');

var _env2 = _interopRequireDefault(_env);

var _oauth = require('oauth');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fbOAuth = new _oauth.OAuth2(_env2.default.facebook.clientID, _env2.default.facebook.clientSecret, _env2.default.facebook.baseSite, _env2.default.facebook.authorizationURL);

function facebookLogin(req, res) {
    var fbAuthUrl = fbOAuth.getAuthorizeUrl({
        response_type: 'token',
        scope: ['public_profile', 'email'].join(','),
        // It will work only for non development mode
        // because for development used different port for front-end (WebpackDevServer)
        redirect_uri: req.query.redirect_uri
    });

    res.redirect(fbAuthUrl);
}

exports.default = {
    facebookLogin: facebookLogin
};
module.exports = exports['default'];
//# sourceMappingURL=auth.controller.js.map
