'use strict';

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _scenario = require('./scenario.manager');

var _scenario2 = require('./scenario.model');

var _scenario3 = _interopRequireDefault(_scenario2);

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = (0, _debug2.default)('SH_BE:scenarios:loader');

_mongoose2.default.connection.on('connected', function () {

    var AUTORUNNING_SCRIPTS = false;

    if (AUTORUNNING_SCRIPTS) {
        _scenario3.default.findAsync({}).then(runAll).error(logError);
    }

    function runAll(scenarios) {
        scenarios.forEach(function (scenario) {
            if (scenario.active) {
                (0, _scenario.start)(scenario);
            }
        });
    }

    function logError() {
        debug.apply(undefined, arguments);
    }
});
//# sourceMappingURL=loader.js.map
