'use strict';

var vm = require('vm');
var Rx = require('rxjs');
var scenarioApiManager = require('./scenario-api.manager');

var inputStream = new Rx.Subject();
var outputStream = new Rx.Subject();

//0 comand arg is node, 1 is path to file
var ARGV_SCRIPT_INDEX = 2;

outputStream.subscribe(function (data) {
    process.send({
        type: 'message',
        content: data
    });
});

var SMART_HOUSE = scenarioApiManager.create(inputStream, outputStream);

var sandbox = {
    setTimeout: setTimeout,
    console: console,
    SMART_HOUSE: SMART_HOUSE
};

vm.runInNewContext(process.argv[ARGV_SCRIPT_INDEX], sandbox);
//# sourceMappingURL=runner.js.map
